TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Remove_ ( alist A, any key )

### Optional Arguments

Fail | any |  | Determines what to return in case of failure.
Success | any | (Default: SUCCESS) | Determines what to return in case of success.

### Description

<shortdoc> Remove `key' and its association in alist `A' and return FAILURE on failure or SUCCESS on success.
Note: `A' is modified by side-effect. </shortdoc>

### Examples

A:=Alist([1,"foo"],[2,"bar"]); RemAssoc_(A,1); A;

### See also

Remove ( alist, any ) -> alist

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack